#include <unistd.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>
#include <string.h>
#include <sys/time.h>
#include <iostream.h>
#include <fstream.h>

int main() {

  int fd, i, k;
  char buffer[1024*1024];

  fd = open("/mnt/scsi_b/736Project/1000MB", O_RDWR | O_CREAT);

  if (fd < 0) {
    printf(strerror(errno));
    exit(1);
  }

  for (i = 0; i<1000; i++) {
    k = write(fd, buffer, sizeof(buffer));
    if (k < 0) {
      printf(strerror(errno));
      exit(1);
    }
  }

  close(fd);

  return 0;
}
